// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/trip-status.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type EnumTripStatus int32

const (
	EnumTripStatus_TRIP_UNKNOWN   EnumTripStatus = 0
	EnumTripStatus_TRIP_NEW       EnumTripStatus = 1
	EnumTripStatus_TRIP_WORK      EnumTripStatus = 2
	EnumTripStatus_TRIP_COMPLETED EnumTripStatus = 100
	EnumTripStatus_TRIP_CANCELED  EnumTripStatus = 101
	EnumTripStatus_TRIP_DELETED   EnumTripStatus = 102
)

// Enum value maps for EnumTripStatus.
var (
	EnumTripStatus_name = map[int32]string{
		0:   "TRIP_UNKNOWN",
		1:   "TRIP_NEW",
		2:   "TRIP_WORK",
		100: "TRIP_COMPLETED",
		101: "TRIP_CANCELED",
		102: "TRIP_DELETED",
	}
	EnumTripStatus_value = map[string]int32{
		"TRIP_UNKNOWN":   0,
		"TRIP_NEW":       1,
		"TRIP_WORK":      2,
		"TRIP_COMPLETED": 100,
		"TRIP_CANCELED":  101,
		"TRIP_DELETED":   102,
	}
)

func (x EnumTripStatus) Enum() *EnumTripStatus {
	p := new(EnumTripStatus)
	*p = x
	return p
}

func (x EnumTripStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EnumTripStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_transport_order_model_trip_status_proto_enumTypes[0].Descriptor()
}

func (EnumTripStatus) Type() protoreflect.EnumType {
	return &file_transport_order_model_trip_status_proto_enumTypes[0]
}

func (x EnumTripStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EnumTripStatus.Descriptor instead.
func (EnumTripStatus) EnumDescriptor() ([]byte, []int) {
	return file_transport_order_model_trip_status_proto_rawDescGZIP(), []int{0}
}

var File_transport_order_model_trip_status_proto protoreflect.FileDescriptor

var file_transport_order_model_trip_status_proto_rawDesc = []byte{
	0x0a, 0x27, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x69, 0x70, 0x2d, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2a, 0x78, 0x0a, 0x0e, 0x45, 0x6e, 0x75,
	0x6d, 0x54, 0x72, 0x69, 0x70, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x10, 0x0a, 0x0c, 0x54,
	0x52, 0x49, 0x50, 0x5f, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x0c, 0x0a,
	0x08, 0x54, 0x52, 0x49, 0x50, 0x5f, 0x4e, 0x45, 0x57, 0x10, 0x01, 0x12, 0x0d, 0x0a, 0x09, 0x54,
	0x52, 0x49, 0x50, 0x5f, 0x57, 0x4f, 0x52, 0x4b, 0x10, 0x02, 0x12, 0x12, 0x0a, 0x0e, 0x54, 0x52,
	0x49, 0x50, 0x5f, 0x43, 0x4f, 0x4d, 0x50, 0x4c, 0x45, 0x54, 0x45, 0x44, 0x10, 0x64, 0x12, 0x11,
	0x0a, 0x0d, 0x54, 0x52, 0x49, 0x50, 0x5f, 0x43, 0x41, 0x4e, 0x43, 0x45, 0x4c, 0x45, 0x44, 0x10,
	0x65, 0x12, 0x10, 0x0a, 0x0c, 0x54, 0x52, 0x49, 0x50, 0x5f, 0x44, 0x45, 0x4c, 0x45, 0x54, 0x45,
	0x44, 0x10, 0x66, 0x42, 0xa1, 0x01, 0x0a, 0x25, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70,
	0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x0b, 0x54,
	0x72, 0x69, 0x70, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d,
	0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72,
	0x70, 0x63, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02,
	0x18, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0xca, 0x02, 0x0b, 0x54, 0x72, 0x69, 0x70,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_transport_order_model_trip_status_proto_rawDescOnce sync.Once
	file_transport_order_model_trip_status_proto_rawDescData = file_transport_order_model_trip_status_proto_rawDesc
)

func file_transport_order_model_trip_status_proto_rawDescGZIP() []byte {
	file_transport_order_model_trip_status_proto_rawDescOnce.Do(func() {
		file_transport_order_model_trip_status_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_trip_status_proto_rawDescData)
	})
	return file_transport_order_model_trip_status_proto_rawDescData
}

var file_transport_order_model_trip_status_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_transport_order_model_trip_status_proto_goTypes = []interface{}{
	(EnumTripStatus)(0), // 0: transportOrder.EnumTripStatus
}
var file_transport_order_model_trip_status_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_transport_order_model_trip_status_proto_init() }
func file_transport_order_model_trip_status_proto_init() {
	if File_transport_order_model_trip_status_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_trip_status_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_trip_status_proto_goTypes,
		DependencyIndexes: file_transport_order_model_trip_status_proto_depIdxs,
		EnumInfos:         file_transport_order_model_trip_status_proto_enumTypes,
	}.Build()
	File_transport_order_model_trip_status_proto = out.File
	file_transport_order_model_trip_status_proto_rawDesc = nil
	file_transport_order_model_trip_status_proto_goTypes = nil
	file_transport_order_model_trip_status_proto_depIdxs = nil
}
